<?php
$tdatadally_report = array();
$tdatadally_report[".searchableFields"] = array();
$tdatadally_report[".ShortName"] = "dally_report";
$tdatadally_report[".OwnerID"] = "";
$tdatadally_report[".OriginalTable"] = "dally report";


$tdatadally_report[".pagesByType"] = my_json_decode( "{\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"]}" );
$tdatadally_report[".originalPagesByType"] = $tdatadally_report[".pagesByType"];
$tdatadally_report[".pages"] = types2pages( my_json_decode( "{\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"]}" ) );
$tdatadally_report[".originalPages"] = $tdatadally_report[".pages"];
$tdatadally_report[".defaultPages"] = my_json_decode( "{\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\"}" );
$tdatadally_report[".originalDefaultPages"] = $tdatadally_report[".defaultPages"];

//	field labels
$fieldLabelsdally_report = array();
$fieldToolTipsdally_report = array();
$pageTitlesdally_report = array();
$placeHoldersdally_report = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsdally_report["English"] = array();
	$fieldToolTipsdally_report["English"] = array();
	$placeHoldersdally_report["English"] = array();
	$pageTitlesdally_report["English"] = array();
	$fieldLabelsdally_report["English"]["txn_date"] = "Txn Date";
	$fieldToolTipsdally_report["English"]["txn_date"] = "";
	$placeHoldersdally_report["English"]["txn_date"] = "";
	$fieldLabelsdally_report["English"]["total_collections"] = "Total Collections";
	$fieldToolTipsdally_report["English"]["total_collections"] = "";
	$placeHoldersdally_report["English"]["total_collections"] = "";
	$fieldLabelsdally_report["English"]["total_expenses"] = "Total Expenses";
	$fieldToolTipsdally_report["English"]["total_expenses"] = "";
	$placeHoldersdally_report["English"]["total_expenses"] = "";
	$fieldLabelsdally_report["English"]["net_cash_flow"] = "Net Cash Flow";
	$fieldToolTipsdally_report["English"]["net_cash_flow"] = "";
	$placeHoldersdally_report["English"]["net_cash_flow"] = "";
	if (count($fieldToolTipsdally_report["English"]))
		$tdatadally_report[".isUseToolTips"] = true;
}


	$tdatadally_report[".NCSearch"] = true;



$tdatadally_report[".shortTableName"] = "dally_report";
$tdatadally_report[".nSecOptions"] = 0;

$tdatadally_report[".mainTableOwnerID"] = "";
$tdatadally_report[".entityType"] = 6;
$tdatadally_report[".connId"] = "easy_cash_at_localhost";


$tdatadally_report[".strOriginalTableName"] = "dally report";

	



$tdatadally_report[".showAddInPopup"] = false;

$tdatadally_report[".showEditInPopup"] = false;

$tdatadally_report[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatadally_report[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


	$tdatadally_report[".listAjax"] = true;
//	temporary
$tdatadally_report[".listAjax"] = false;

	$tdatadally_report[".audit"] = false;

	$tdatadally_report[".locking"] = false;


$pages = $tdatadally_report[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatadally_report[".edit"] = true;
	$tdatadally_report[".afterEditAction"] = 1;
	$tdatadally_report[".closePopupAfterEdit"] = 1;
	$tdatadally_report[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatadally_report[".add"] = true;
$tdatadally_report[".afterAddAction"] = 1;
$tdatadally_report[".closePopupAfterAdd"] = 1;
$tdatadally_report[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatadally_report[".list"] = true;
}



$tdatadally_report[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatadally_report[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatadally_report[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatadally_report[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatadally_report[".printFriendly"] = true;
}



$tdatadally_report[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatadally_report[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatadally_report[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatadally_report[".isUseAjaxSuggest"] = true;

$tdatadally_report[".rowHighlite"] = true;



																								

$tdatadally_report[".ajaxCodeSnippetAdded"] = false;

$tdatadally_report[".buttonsAdded"] = false;

$tdatadally_report[".addPageEvents"] = false;

// use timepicker for search panel
$tdatadally_report[".isUseTimeForSearch"] = false;


$tdatadally_report[".badgeColor"] = "7b68ee";


$tdatadally_report[".allSearchFields"] = array();
$tdatadally_report[".filterFields"] = array();
$tdatadally_report[".requiredSearchFields"] = array();

$tdatadally_report[".googleLikeFields"] = array();
$tdatadally_report[".googleLikeFields"][] = "txn_date";
$tdatadally_report[".googleLikeFields"][] = "total_collections";
$tdatadally_report[".googleLikeFields"][] = "total_expenses";
$tdatadally_report[".googleLikeFields"][] = "net_cash_flow";




$tdatadally_report[".printerPageOrientation"] = 0;
$tdatadally_report[".nPrinterPageScale"] = 100;

$tdatadally_report[".nPrinterSplitRecords"] = 40;

$tdatadally_report[".geocodingEnabled"] = false;





$tdatadally_report[".isResizeColumns"] = true;





$tdatadally_report[".pageSize"] = 20;

$tdatadally_report[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatadally_report[".strOrderBy"] = $tstrOrderBy;

$tdatadally_report[".orderindexes"] = array();


$tdatadally_report[".sqlHead"] = "";
$tdatadally_report[".sqlFrom"] = "";
$tdatadally_report[".sqlWhereExpr"] = "";
$tdatadally_report[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatadally_report[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatadally_report[".arrGroupsPerPage"] = $arrGPP;

$tdatadally_report[".highlightSearchResults"] = true;

$tableKeysdally_report = array();
$tableKeysdally_report[] = "txn_date";
$tdatadally_report[".Keys"] = $tableKeysdally_report;


$tdatadally_report[".hideMobileList"] = array();




//	txn_date
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "txn_date";
	$fdata["GoodName"] = "txn_date";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("dally_report","txn_date");
	$fdata["FieldType"] = 7;

	
	
	
			

		$fdata["strField"] = "txn_date";

	
		$fdata["FullName"] = "txn_date";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 13;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadally_report["txn_date"] = $fdata;
		$tdatadally_report[".searchableFields"][] = "txn_date";
//	total_collections
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "total_collections";
	$fdata["GoodName"] = "total_collections";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("dally_report","total_collections");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "total_collections";

	
		$fdata["FullName"] = "total_collections";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadally_report["total_collections"] = $fdata;
		$tdatadally_report[".searchableFields"][] = "total_collections";
//	total_expenses
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "total_expenses";
	$fdata["GoodName"] = "total_expenses";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("dally_report","total_expenses");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "total_expenses";

	
		$fdata["FullName"] = "total_expenses";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadally_report["total_expenses"] = $fdata;
		$tdatadally_report[".searchableFields"][] = "total_expenses";
//	net_cash_flow
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "net_cash_flow";
	$fdata["GoodName"] = "net_cash_flow";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("dally_report","net_cash_flow");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "net_cash_flow";

	
		$fdata["FullName"] = "net_cash_flow";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadally_report["net_cash_flow"] = $fdata;
		$tdatadally_report[".searchableFields"][] = "net_cash_flow";


$tables_data["dally report"]=&$tdatadally_report;
$field_labels["dally_report"] = &$fieldLabelsdally_report;
$fieldToolTips["dally_report"] = &$fieldToolTipsdally_report;
$placeHolders["dally_report"] = &$placeHoldersdally_report;
$page_titles["dally_report"] = &$pageTitlesdally_report;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["dally report"] = array();
//	expenses
	
	

		$dIndex = 0;
	$detailsParam = array();
	$detailsParam["dDataSourceTable"]="expenses";
		$detailsParam["dOriginalTable"] = "expenses";



		
		$detailsParam["dType"]=PAGE_LIST;
	$detailsParam["dShortTable"] = "expenses";
	$detailsParam["dCaptionTable"] = GetTableCaption("expenses");
	$detailsParam["masterKeys"] =array();
	$detailsParam["detailKeys"] =array();


		
	$detailsTablesData["dally report"][$dIndex] = $detailsParam;

	
		$detailsTablesData["dally report"][$dIndex]["masterKeys"] = array();

	$detailsTablesData["dally report"][$dIndex]["masterKeys"][]="txn_date";

				$detailsTablesData["dally report"][$dIndex]["detailKeys"] = array();

	$detailsTablesData["dally report"][$dIndex]["detailKeys"][]="expense_date";
//	collections1
	
	

		$dIndex = 1;
	$detailsParam = array();
	$detailsParam["dDataSourceTable"]="collections1";
		$detailsParam["dOriginalTable"] = "collections";



		
		$detailsParam["dType"]=PAGE_LIST;
	$detailsParam["dShortTable"] = "collections1";
	$detailsParam["dCaptionTable"] = GetTableCaption("collections1");
	$detailsParam["masterKeys"] =array();
	$detailsParam["detailKeys"] =array();


		
	$detailsTablesData["dally report"][$dIndex] = $detailsParam;

	
		$detailsTablesData["dally report"][$dIndex]["masterKeys"] = array();

	$detailsTablesData["dally report"][$dIndex]["masterKeys"][]="txn_date";

				$detailsTablesData["dally report"][$dIndex]["detailKeys"] = array();

	$detailsTablesData["dally report"][$dIndex]["detailKeys"][]="pay_date";

// tables which are master tables for current table (detail)
$masterTablesData["dally report"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//


require_once( getabspath( "include/dally_report_ops.php" ) );



	
		;

				

$tdatadally_report[".sqlquery"] = $queryData_dally_report;



$tableEvents["dally report"] = new eventsBase;
$tdatadally_report[".hasEvents"] = false;

?>